from setuptools import setup, find_packages

setup(
    name="pyslib",
    version="0.1.0",
    author="MI1309",
    author_email="muhammadimron130906@gmail.com",
    description="Library sederhana untuk mencari package di PyPI.",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    url="https://github.com/MI1309/pipsearch",
    packages=find_packages(),
    install_requires=[
        "requests",
    ],
    entry_points={
        "console_scripts": [
            "slib=pyslib.__main__:main",  # Format: nama_command=package.module:function
        ],
    },
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.6",
)
